# Os

enum Os : Enum<Os> (source)

Defines the operating system types.

#### Since

2.0

## Entries

IOS
Link copied to clipboard
IOS
ANDROID
Link copied to clipboard
ANDROID

## Properties

name
Link copied to clipboard
val name: String
ordinal
Link copied to clipboard
val ordinal: Int
type
Link copied to clipboard
val type: String

## Functions

valueOf
Link copied to clipboard
fun valueOf(value: String): Os

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
fun values(): Array<Os>

Returns an array containing the constants of this enum type, in the order they're declared.